# Installation Instructions
The package depends on the `mda` package (see: [mda @ cran.r-project](https://cran.r-project.org/web/packages/mda/index.html). Therefore the first step is to install the `mda` package
```R
install.packages("mda")
```
A release will be available in a few days.

- Linux: release 1 Version 0.2 [CVE_0.2.tar.gz](https://git.art-ist.cc/daniel/CVE/releases/download/0.2/CVE_0.2.tar.gz)
- Windows: release 1 Version 0.2 [CVE_0.2.zip](https://git.art-ist.cc/daniel/CVE/releases/download/0.2/CVE_0.2.zip)
- MacOS: Not available jet (unknown)

Open `R` and then the following:
```R
# addapt to download file.
install.packages("path/to/cve_0.2.<end>", repos = NULL)
library(CVE) # Test installation.
```
Please consult the man-pages `?install.package` and `?library` for further information.

## Installing Source
Cloning the `CVE` repository and using `R`'s build and install routines from a terminal.
```bash
git clone https://git.art-ist.cc/daniel/CVE.git  # Clone repository
cd CVE                                           # Go into the repository
R CMD build CVE                                  # Build package tarbal
R CMD INSTALL CVE_0.2.tar.gz                     # Install package
```
### Alternative Installing Source from within R
Using the `devtools` the package can also be directly installed from within `R`
```R
library(devtools)                                       # Load the dectools
setwd('<path_to_repo>/CVE')                             # Go into package root
(path <- build(vignettes = FALSE))                      # Create source package
install.packages(path, repos = NULL, type = "source")   # Install source package
library(CVE)                                            # Test
```

### Windows / macOS
Installing from source (for any package which contains compiled code, in our case `C`) on Windows and MacOS requires additional tools.
See _R Installation and Administration_ from [r-project manuals](https://cran.r-project.org/manuals.html).

# Repository Structure
The repository is structured in two directories, the `CVE/` directory which is the `R` package root and `simulations/` where all simulation scripts can be found (and `README.md` which is this).
